#!/bin/sh

if [ ! -r VERSION ] ; then
	echo "$0: No VERSION file! "
	exit 1
fi
version="`cat VERSION`"
if [ "$version" != "kehpager V1.2" ] ; then
	echo "This patch must run agaist kehpager V1.2!"
	echo "This source is: $version"
	exit 1
fi
echo "Creating file schedule.c ..."
if cp patch1.schedule.c schedule.c ; then
	echo "OK"
else
	exit 1
fi
echo "Creating file schedule.h ..."
if cp patch1.schedule.h schedule.h ; then
	echo "OK"
else
	exit 1
fi
if [ ! -r kehpagerrc ] ; then
	echo "Creating file kehpagerrc ..."
	if cp patch1.kehpagerrc kehpagerrc ; then
		echo "OK"
	else
		exit 1
	fi
else
	echo "kehpagerrc exists -- not created"
fi
if [ ! -r COPYRIGHT ] ; then
	echo "Creating file COPYRIGHT ..."
	if cp patch1.COPYRIGHT COPYRIGHT ; then
		echo "OK"
	else
		exit 1
	fi
fi
echo "Patching rest of source..."
if patch -c -N <patch1.diff ; then
	echo "Patching OK"
else
	exit 1
fi
echo "Kehpager is updated to version 1.21"
exit 0
